Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class ColumnViewerEditorActivationEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent

All Implemented Interfaces:
  Serializable

    public class ColumnViewerEditorActivationEvent

extends EventObject

This event is passed on when a cell-editor is going to be activated

Since:
  3.3
See Also:
  Serialized Form

Field Summary
`boolean` `cancel` Cancel the event (=> editor is not activated)
`char` `character` Only set for `KEY_PRESSED`
`int` `eventType` The event type triggered: `KEY_PRESSED` if a key is pressed on a selected cell `MOUSE_CLICK_SELECTION` if a cell is selected using a single click of the mouse `MOUSE_DOUBLE_CLICK_SELECTION` if a cell is selected using double clicking of the mouse
`static int` `KEY_PRESSED` if a key is pressed on a selected cell
`int` `keyCode` Only set for `KEY_PRESSED`
`static int` `MOUSE_CLICK_SELECTION` if a cell is selected using a single click of the mouse
`static int` `MOUSE_DOUBLE_CLICK_SELECTION` if a cell is selected using double clicking of the mouse
`static int` `PROGRAMMATIC` if a cell is activated using code like e.g `ColumnViewer.editElement(Object, int)`
`EventObject` `sourceEvent` the original event triggered
`int` `stateMask` The statemask
`int` `time` The time the event is triggered
`static int` `TRAVERSAL` is a cell is activated by traversing

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ColumnViewerEditorActivationEvent(ViewerCell cell)` This constructor can be used when no event exists.
`ColumnViewerEditorActivationEvent(ViewerCell cell, KeyEvent event)`
`ColumnViewerEditorActivationEvent(ViewerCell cell, MouseEvent event)` This constructor is used for all types of mouse events.
`ColumnViewerEditorActivationEvent(ViewerCell cell, TraverseEvent event)` This constructor is used to mark the activation triggered by a traversal

Method Summary

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_PRESSED

    public static final int KEY_PRESSED

  if a key is pressed on a selected cell

  See Also:
    Constant Field Values

### MOUSE_CLICK_SELECTION

    public static final int MOUSE_CLICK_SELECTION

  if a cell is selected using a single click of the mouse

  See Also:
    Constant Field Values

### MOUSE_DOUBLE_CLICK_SELECTION

    public static final int MOUSE_DOUBLE_CLICK_SELECTION

  if a cell is selected using double clicking of the mouse

  See Also:
    Constant Field Values

### PROGRAMMATIC

    public static final int PROGRAMMATIC

  if a cell is activated using code like e.g `ColumnViewer.editElement(Object, int)`

  See Also:
    Constant Field Values

### TRAVERSAL

    public static final int TRAVERSAL

  is a cell is activated by traversing

  See Also:
    Constant Field Values

### sourceEvent

    public EventObject sourceEvent

  the original event triggered

### time

    public int time

  The time the event is triggered

### eventType

    public int eventType

  The event type triggered:
  - `KEY_PRESSED` if a key is pressed on a selected cell
  - `MOUSE_CLICK_SELECTION` if a cell is selected using a single click of the mouse
  - `MOUSE_DOUBLE_CLICK_SELECTION` if a cell is selected using double clicking of the mouse

### keyCode

    public int keyCode

  Only set for `KEY_PRESSED`

### character

    public char character

  Only set for `KEY_PRESSED`

### stateMask

    public int stateMask

  The statemask

### cancel

    public boolean cancel

  Cancel the event (=> editor is not activated)

Constructor Detail

### ColumnViewerEditorActivationEvent

    public ColumnViewerEditorActivationEvent(ViewerCell cell)

  This constructor can be used when no event exists. The type set is `PROGRAMMATIC`

  Parameters:
    `cell` - the cell

### ColumnViewerEditorActivationEvent

    public ColumnViewerEditorActivationEvent(ViewerCell cell,
                                             MouseEvent event)

  This constructor is used for all types of mouse events. Currently the type is can be `MOUSE_CLICK_SELECTION` and `MOUSE_DOUBLE_CLICK_SELECTION`

  Parameters:
    `cell` - the cell source of the event
    `event` - the event

### ColumnViewerEditorActivationEvent

    public ColumnViewerEditorActivationEvent(ViewerCell cell,
                                             KeyEvent event)

Parameters:
  `cell` - the cell source of the event
  `event` - the event

### ColumnViewerEditorActivationEvent

    public ColumnViewerEditorActivationEvent(ViewerCell cell,
                                             TraverseEvent event)

  This constructor is used to mark the activation triggered by a traversal

  Parameters:
    `cell` - the cell source of the event
    `event` - the event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.